%define upstream_name    XML-CompareML
%define upstream_version v0.2.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate the DTD for CompareML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::Common)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.8-2.mga4
+ Revision: 532286
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 0.2.8-1.mga4
+ Revision: 467759
- update to v0.2.8

* Sat Jun 01 2013 shlomif <shlomif> 0.2.7-1.mga4
+ Revision: 434131
- New version 0.2.7
- New version 0.2.7

* Sun Jan 13 2013 umeabot <umeabot> 0.2.6-2.mga3
+ Revision: 374962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.2.6-1.mga3
+ Revision: 277645
- imported package perl-XML-CompareML


* Wed Aug 01 2012 cpan2dist v0.2.6-1mga
- initial mageia release, generated with cpan2dist
